%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname amazon-ec2
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: Amazon EC2 Ruby Gem
Name: rubygem-%{gemname}
Version: 0.9.15
Release: 3%{?dist}
Group: Development/Languages
License: GPLv2 or Ruby
URL: http://github.com/grempe/amazon-ec2
Source0: http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: rubygems
Requires: ruby(abi) = 1.8
Requires: rubygem(xml-simple)
BuildRequires: rubygems
BuildRequires: rubygem(test-unit)
BuildRequires: rubygem(test-spec)
BuildRequires: rubygem(rake)
BuildRequires: rubygem(xml-simple)
BuildRequires: rubygem(mocha) >= 0.9.8
BuildRequires: rubygem(rcov)
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
A Ruby library for accessing the Amazon Web Services EC2, ELB, RDS,
Cloudwatch, and Autoscaling APIs.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --no-ri --rdoc %{SOURCE0}
mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}%{gemdir}/bin/ec2sh %{buildroot}/%{_bindir}
rm -rf %{buildroot}%{gemdir}/bin
rm -f %{buildroot}%{geminstdir}/.yardopts
rm -f %{buildroot}%{geminstdir}/.gitignore
find %{buildroot}%{geminstdir}/bin -type f | xargs chmod a+x
sed -i 's/\r//' %{buildroot}%{geminstdir}/wsdl/2008-02-01.ec2.wsdl

%check
pushd %{buildroot}/%{geminstdir}
rake test --trace
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{geminstdir}
%{_bindir}/ec2sh
%{geminstdir}/bin
%{geminstdir}/lib
%doc %{geminstdir}/ChangeLog
%doc %{geminstdir}/LICENSE
%doc %{geminstdir}/VERSION
%doc %{geminstdir}/README.rdoc

%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-, root, root, -)
%{geminstdir}/Rakefile
%{geminstdir}/test
%{geminstdir}/deps.rip
%{geminstdir}/wsdl
%{geminstdir}/perftools
%{geminstdir}/README_dev.rdoc
%{geminstdir}/%{gemname}.gemspec
%{gemdir}/doc/%{gemname}-%{version}

%changelog
* Mon Oct 11 2010 Michal Fojtik <mfojtik@redhat.com> - 0.9.15-3
- Moved some documentation to main package
- Set proper attr on documentation package

* Wed Oct 06 2010 Michal Fojtik <mfojtik@redhat.com> - 0.9.15-2
- Removed unused macros
- Fixed license and version dependencies
- Moved documentation files into -doc subpackage

* Fri Oct 01 2010 Michal Fojtik <mfojtik@redhat.com> - 0.9.15-1
- Initial package
